Package org.apache.sling.discovery.base.commons

# Class ClusterViewHelper

java.lang.Object
org.apache.sling.discovery.base.commons.ClusterViewHelper

public class ClusterViewHelper extends Object
Contains some static helper methods around ClusterView

## Constructor Summary

Constructors
Constructor
Description
`ClusterViewHelper()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(org.apache.sling.discovery.ClusterView clusterView, String slingId)`
checks whether the cluster view contains a particular sling id
`static boolean`
`containsAny(org.apache.sling.discovery.ClusterView clusterView, Collection<org.apache.sling.discovery.InstanceDescription> listInstances)`
checks whether the cluster contains any of the provided instances

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClusterViewHelper

public ClusterViewHelper()

## Method Details

### contains

public static boolean contains(org.apache.sling.discovery.ClusterView clusterView, String slingId) throws UndefinedClusterViewException
checks whether the cluster view contains a particular sling id

Throws:
  `UndefinedClusterViewException`

### containsAny

public static boolean containsAny(org.apache.sling.discovery.ClusterView clusterView, Collection<org.apache.sling.discovery.InstanceDescription> listInstances) throws UndefinedClusterViewException
checks whether the cluster contains any of the provided instances

Throws:
  `UndefinedClusterViewException`